Last Comment Bug 90263 - New account wizard uses "server name" and "hostname"
: New account wizard uses "server name" and "hostname"
Status: VERIFIED FIXED
: polish
Product: MailNews Core
Classification: Components
Component: Account Manager (show other bugs)
: Trunk
: All All
: -- minor (vote)
: Thunderbird 13.0
Assigned To: :aceman
:
Mentors:
http://mxr.mozilla.org/comm-central/s...
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2001-07-10 19:22 PDT by Dan Mellem
Modified: 2014-04-26 03:22 PDT (History)
7 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
quick patch that changes hostname to server name (2.87 KB, patch)
2002-11-17 14:39 PST, Adam Becevello
neil: review+
mscott: superreview+
Details | Diff | Splinter Review
patch for account manager (5.69 KB, patch)
2012-02-11 15:03 PST, :aceman
standard8: review+
iann_bugzilla: review+
Details | Diff | Splinter Review

Description Dan Mellem 2001-07-10 19:22:12 PDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:0.9.2) Gecko/20010628
BuildID:    2001062815

When a new mail account is created and one of the POP3/IMAP and SMTP server host
names is left blank, an alert "Please enter a valid hostname." is displayed. The
fields in the form are labeled "Server Name." The names should match.

Is this test even necessary? The account could only be used for sending (e.g., I
use the browser occasionally to send but have my work address and the e-mail
address. I don't retrieve mail from it) or receiving. Most people would set up
both servers but, if one is blank, just don't check mail/allow creation.

Reproducible: Always
Steps to Reproduce:
1.In a new profile, go to e-mail.
2.Select ISP, type in your name, etc., and go forward 2x.
3.

Also, if you go back to the "ISP or Newsgroup" selection, anything that was set
is lost.
Comment 1 Matthew Paul Thomas 2001-08-05 08:56:47 PDT
I think `server name' is the more understandable of the two by a considerable 
margin.
Comment 2 James Green 2001-11-08 04:13:00 PST
Taking. What I'll also do is have the first input field which requires a server
name but doesn't yet have one, focused and ready for typing into. This saves the
user wondering which field the dialog is complaining about (it may not be obvious).

On the point about whether these checks are necessary, I'd say they were, at
least until we have sufficient time to code a run-time checking of such servers
when we want to read/send mail and prompt for server names if we don't have them.
Comment 3 a_geek 2002-01-08 04:41:19 PST
Also, it requires a server _NAME_ and won't accept an IP number (in 0.9.7/linux,
build id 2001122108). Why? You don't always have "host names", or at least
not always ones that are easier to type than are their numeric counterparts.
Comment 4 Fuzzy Gorilla 2002-03-01 18:53:59 PST
The Target Milestone (0.9.7) is passed.  This bug should be retargeted.
If you are no longer interested or able to work on this bug, please reset
the Target Milestone and hand it back to default owner of the component.
Comment 6 James Green 2002-04-30 11:40:56 PDT
Bouncing out, hope someone with more time than I catches.
Comment 7 Adam Becevello 2002-11-17 14:37:37 PST
Is all this bug needs is the word hostname changed to server name?
If thats the case, I just did a quick patch that does this.  I'll attach it so
you can see what I've done.
Comment 8 Adam Becevello 2002-11-17 14:39:57 PST
Created attachment 106602 [details] [diff] [review]
quick patch that changes hostname to server name

Here is the quick patch I made.  All it does is change hostname to server name
in the files that basic found minus the addressbook one.  The addressbook one
can be added if you want.
Comment 9 Dan Mellem 2002-11-18 11:08:42 PST
Yes, that's all that's needed unless it would be better to change the
functionality so a receive-only (or send-only with a reply-to) configuration is
possible.
Comment 10 Adam Becevello 2002-11-18 14:23:57 PST
I'm not quite sure what you mean by "receive-only (or send-only with a reply-to)
configuration".  However, no matter what it is, my limited programming knowledge
probably won't be able to do something like that.  As well, it sounds like it
changes the behaviour of the wizard, which means it should be a different bug.
Comment 11 Dan Mellem 2002-11-18 15:41:08 PST
Right now the wizard REQUIRES an entry for Incoming Server and Outgoing Server.
Although most users will have an entry for both of these, it's not really required. 

Examples:
If someone leaves the Incoming Server field blank then they will only be able to
send mail from the client. An example would be a webmail user. They can send
e-mail using the proper return address but won't be able to retrieve their mail
using IMAP or POP.
If someone leaves the Outgoing Server blank then they won't be able to send
mail. This could be used just to look at mail in an IMAP mailbox or to retrieve
messages (e.g., cron e-mails) from a receive-only mailbox.

I propose dropping the check altogether and verify that the mail client does
something smart if the field is blank.
Comment 12 Chris Carr 2002-12-31 08:24:10 PST
FYI: If the proposal in comment 11 is adopted, I think that should fix Bug
159700 as well.
Comment 13 (not reading, please use seth@sspitzer.org instead) 2003-05-08 09:25:27 PDT
mass re-assign.
Comment 14 Henrik Lynggaard Hansen 2004-01-02 14:39:27 PST
Comment on attachment 106602 [details] [diff] [review]
quick patch that changes hostname to server name

This should change the "hostname" to "server name" which is the original issue
in this bug report.
Comment 15 Henrik Lynggaard Hansen 2004-01-03 13:19:29 PST
Comment on attachment 106602 [details] [diff] [review]
quick patch that changes hostname to server name

review please
Comment 16 rsx11m 2008-12-04 11:55:44 PST
This patch has r+ and sr+, however there doesn't seem to be any indication that it was ever checked in. Looking at MXR, both SeaMonkey and Thunderbird still have the "Please enter a valid hostname" wording in various locations.
Comment 17 Mark Banner (:standard8) 2008-12-04 12:13:52 PST
(In reply to comment #16)
> This patch has r+ and sr+, however there doesn't seem to be any indication that
> it was ever checked in. Looking at MXR, both SeaMonkey and Thunderbird still
> have the "Please enter a valid hostname" wording in various locations.

The patch is at least incorrect now. The string names should be changing to alter localisers to the change in context.
Comment 18 Charles 2010-10-05 12:29:58 PDT
Instead of arguing about whether it should be one or the other, why not:

"Server hostname"
Comment 19 rsx11m 2010-10-05 13:52:35 PDT
That sounds a bit redundant as server=host, and "server name" was already approved. There are also similar occurrences in the shared address book,
which could be changed to "server name" then as well.

I'm adding the MXR query for that string and move this bug to MailNews Core.
Comment 20 :aceman 2012-02-11 14:23:33 PST
This also happens in the Account manager-> SMTP server name.
I'll update the patch.
Comment 21 :aceman 2012-02-11 15:03:40 PST
Created attachment 596393 [details] [diff] [review]
patch for account manager

I think the mxr search is bogus. The other places where "hostname" is referenced in an error message use the term "web site" (cookie manager) and "hostname" (LDAP addressbook) in the corresponding form field. So there is no point in changing the error text to "server name" in them.
I attach updated patch that only fixes the account manager.
Comment 22 :aceman 2012-02-14 03:55:17 PST
(In reply to :aceman from comment #21)
> I think the mxr search is bogus. The other places where "hostname" is
> referenced in an error message use the term "web site" (cookie manager) and
> "hostname" (LDAP addressbook) in the corresponding form field. So there is
> no point in changing the error text to "server name" in them.

So technically the cookie manager should also be fixed from calling "hostname" in the error message. But it should be another bug and it probably is in the Firefox/Toolkit.
Anybody interested in filing it?
Comment 23 Mark Banner (:standard8) 2012-02-21 06:51:37 PST
Checked in: http://hg.mozilla.org/comm-central/rev/59710ebe215a

Note You need to log in before you can comment on or make changes to this bug.